Package it.ernytech.tdlib

## Class TdApi.DeleteMessages

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.DeleteMessages

Enclosing class:
  TdApi

    public static class TdApi.DeleteMessages
    extends TdApi.Function

Deletes messages.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long[]` `messageIds` Identifiers of the messages to be deleted.
`boolean` `revoke` Pass true to try to delete outgoing messages for all chat members (may fail if messages are too old).

### Constructor Summary

Constructors
`DeleteMessages()` Default constructor.
`DeleteMessages​(long chatId, long[] messageIds, boolean revoke)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### messageIds

    public long[] messageIds

Identifiers of the messages to be deleted.

#### revoke

    public boolean revoke

Pass true to try to delete outgoing messages for all chat members (may fail if messages are too old). Always true for supergroups, channels and secret chats.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DeleteMessages

    public DeleteMessages()

Default constructor.

#### DeleteMessages

    public DeleteMessages​(long chatId,
                          long[] messageIds,
                          boolean revoke)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `messageIds` - Identifiers of the messages to be deleted.
  `revoke` - Pass true to try to delete outgoing messages for all chat members (may fail if messages are too old). Always true for supergroups, channels and secret chats.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR